%define _prefix /usr
%define _mandir %{_prefix}/share/man
%define _sysconfdir %{_prefix}/etc

Name: lalstochastic
Version: 1.1.6
Release: 1
Summary: LSC Algorithm Stochastic Library
License: GPL
Group: LAL
Source: %{name}-%{version}.tar.gz
URL: https://www.lsc-group.phys.uwm.edu/daswg/projects/lalsuite.html
Packager: Adam Mercer <adam.mercer@ligo.org>
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: python
Requires: libmetaio lal lalmetaio
Prefix: %{_prefix}

%description
The LSC Algorithm Stochastic Library for gravitational wave data analysis.
This package contains the shared-object libraries needed to run applications
that use the LAL Stochastic library.

%package devel
Summary: Files and documentation needed for compiling programs that use LAL Stochastic
Group: LAL
Requires: %{name} = %{version}
Requires: libmetaio-devel lal-devel lalmetaio-devel
%description devel
The LSC Algorithm Stochastic Library for gravitational wave data analysis.
This package contains files needed build applications that use the LAL
Stochastic library.

%prep
%setup -q

%build
%configure --disable-gcc-flags
%{__make} V=1

%install
%makeinstall
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post
ldconfig

%postun
ldconfig

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -Rf ${RPM_BUILD_ROOT}
rm -Rf ${RPM_BUILD_DIR}/%{name}-%{version}

%files
%defattr(-,root,root)
%{_libdir}/*.so*
%{_sysconfdir}/*

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/lal
